Google Web Toolkit (Beta)
Search this site:

# Interface HasWordWrap

public interface HasWordWrap
// Implemented by `Label`
A widget that implements this interface has a 'word-wrap' property that can be manipulated using these methods.

## Methods

getWordWrap() | Gets whether word-wrapping is enabled.
setWordWrap(boolean) | Sets whether word-wrapping is enabled.

## Method Detail

### getWordWrap

public boolean getWordWrap()
Gets whether word-wrapping is enabled.

#### Return Value

`true` if word-wrapping is enabled.

### setWordWrap

public void setWordWrap(boolean wrap)
Sets whether word-wrapping is enabled.

#### Parameters

wrap
  `true` to enable word-wrapping.